//
//  ELDocumentController.h
//  ELKit
//
//  Created by Douglas Welton on 8/3/09.
//  Copyright 2009 einstein's legacy. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>
#import "ELAboutBox.h"
#import "ELWelcomePanel.h"
#import "ELRegistrationWindowController.h"
#import "ELUtilityFunctions.h"

@interface ELDocumentController : NSDocumentController <NSApplicationDelegate, NSURLDownloadDelegate>
{
	NSDictionary						*applicationSpecificData;	
	ELAboutBox							*aboutBoxController;
	ELRegistrationWindowController		*registrationController;
    ELWelcomePanel                      *welcomePanel;
	}

@property (retain)	NSDictionary					*applicationSpecificData;
@property (retain)	ELAboutBox						*aboutBoxController;
@property (retain)	ELRegistrationWindowController	*registrationController;
@property (retain)	ELWelcomePanel                  *welcomePanel;


- (void) loadApplicationSpecificData;
- (void) verifyApplicationSpecificData;

- (IBAction) showProductWebsite: (id)sender;
- (IBAction) showCompanyWebsite: (id)sender;
- (IBAction) sendProductFeedback: (id)sender;

- (IBAction) showAboutBox: (id)sender;
- (IBAction) showPreferencePanel: (id)sender;
- (IBAction) showRegistrationWindow: (id)sender;
- (IBAction) showDemoExpiredWindow: (id)sender;
- (IBAction) showWelcomeWindow: (id)sender;

@end
